NX Open C++ Reference Guide
|
Represents 2d Mesh Display Settings
To obtain an instance of this class use CAE::MeshCollector, or CAE::MeshCollectorOccurrence classes
Created in NX8.5.0.
More...
Public Member Functions | |
bool | DisplayShadedEdges () |
Returns the element shaded edge visibility. | |
bool | DisplayThickShell () |
Returns the element thick shell display setting. | |
NXOpen::CAE::ElementNormalsType | ElementNormals () |
Returns the element normals display setting. | |
int | ElementShrinkPercent () |
Returns the element shrink percentage (0 to 100). | |
NXOpen::DisplayableObject::ObjectWidth | LineWidth () |
Returns the line width of the element. | |
NXOpen::NXColor * | NormalsColor () |
Returns the element normals color. | |
void | SetDisplayShadedEdges (bool visibility) |
Sets the element shaded edge visibility. | |
void | SetDisplayThickShell (bool visibility) |
Sets the element thick shell display setting. | |
void | SetElementNormals (NXOpen::CAE::ElementNormalsType normals) |
Sets the element normals display setting. | |
void | SetElementShrinkPercent (int shrink) |
Sets the element shrink percentage (0 to 100). | |
void | SetLineWidth (NXOpen::DisplayableObject::ObjectWidth width) |
Sets the line width of the element. | |
void | SetNormalsColor (NXOpen::NXColor *color) |
Sets the element normals color. | |
void | SetShadedEdgeColor (NXOpen::NXColor *color) |
Sets the element shaded edge color. | |
NXOpen::NXColor * | ShadedEdgeColor () |
Returns the element shaded edge color. | |
virtual | ~MeshCollectorDisplayDefaults2d () |
Frees the object from memory. | |
![]() | |
NXOpen::NXColor * | Color () |
Returns the element color. | |
void | SetColor (NXOpen::NXColor *color) |
Sets the element color. | |
void | UseCustomerDefaultsDisplaySettings () |
Use display settings from the Customer Defaults. | |
virtual | ~MeshCollectorDisplayDefaults () |
Frees the object from memory. | |
![]() | |
void * | GetHandle () |
Handle of the internal object represented by this object. | |
Represents 2d Mesh Display Settings
To obtain an instance of this class use CAE::MeshCollector, or CAE::MeshCollectorOccurrence classes
Created in NX8.5.0.
|
virtual |
Frees the object from memory.
After this method is called, it is illegal to use the object. In .NET, this method is automatically called when the object is deleted by the garbage collector.
Created in NX8.5.0.
License requirements : None
bool NXOpen::CAE::MeshCollectorDisplayDefaults2d::DisplayShadedEdges | ( | ) |
Returns the element shaded edge visibility.
Created in NX8.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
bool NXOpen::CAE::MeshCollectorDisplayDefaults2d::DisplayThickShell | ( | ) |
Returns the element thick shell display setting.
Created in NX8.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
NXOpen::CAE::ElementNormalsType NXOpen::CAE::MeshCollectorDisplayDefaults2d::ElementNormals | ( | ) |
Returns the element normals display setting.
Created in NX8.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
int NXOpen::CAE::MeshCollectorDisplayDefaults2d::ElementShrinkPercent | ( | ) |
Returns the element shrink percentage (0 to 100).
Created in NX8.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
NXOpen::DisplayableObject::ObjectWidth NXOpen::CAE::MeshCollectorDisplayDefaults2d::LineWidth | ( | ) |
Returns the line width of the element.
Created in NX8.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
NXOpen::NXColor* NXOpen::CAE::MeshCollectorDisplayDefaults2d::NormalsColor | ( | ) |
Returns the element normals color.
Created in NX8.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
void NXOpen::CAE::MeshCollectorDisplayDefaults2d::SetDisplayShadedEdges | ( | bool | visibility | ) |
Sets the element shaded edge visibility.
Created in NX8.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
visibility | visibility |
void NXOpen::CAE::MeshCollectorDisplayDefaults2d::SetDisplayThickShell | ( | bool | visibility | ) |
Sets the element thick shell display setting.
Created in NX8.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
visibility | visibility |
void NXOpen::CAE::MeshCollectorDisplayDefaults2d::SetElementNormals | ( | NXOpen::CAE::ElementNormalsType | normals | ) |
Sets the element normals display setting.
Created in NX8.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
normals | normals |
void NXOpen::CAE::MeshCollectorDisplayDefaults2d::SetElementShrinkPercent | ( | int | shrink | ) |
Sets the element shrink percentage (0 to 100).
Created in NX8.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
shrink | shrink |
void NXOpen::CAE::MeshCollectorDisplayDefaults2d::SetLineWidth | ( | NXOpen::DisplayableObject::ObjectWidth | width | ) |
Sets the line width of the element.
Created in NX8.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
width | width |
void NXOpen::CAE::MeshCollectorDisplayDefaults2d::SetNormalsColor | ( | NXOpen::NXColor * | color | ) |
Sets the element normals color.
Created in NX8.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
color | color |
void NXOpen::CAE::MeshCollectorDisplayDefaults2d::SetShadedEdgeColor | ( | NXOpen::NXColor * | color | ) |
Sets the element shaded edge color.
Created in NX8.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
color | color |
NXOpen::NXColor* NXOpen::CAE::MeshCollectorDisplayDefaults2d::ShadedEdgeColor | ( | ) |
Returns the element shaded edge color.
Created in NX8.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")